org.apache.ignite.internal.processors.rest.client.message

## Class GridClientPingPacket

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientPingPacket

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientPingPacket
    extends GridClientAbstractMessage

Fictive ping packet.

See Also:
  Serialized Form

### Field Summary

Fields
`static GridClientMessage` `PING_MESSAGE` Ping message.
`static byte[]` `PING_PACKET` Ping packet.

### Constructor Summary

Constructors
Constructor and Description
`GridClientPingPacket()`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, readExternal, requestId, requestId, sessionToken, sessionToken, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PING_MESSAGE

    public static final GridClientMessage PING_MESSAGE

Ping message.

#### PING_PACKET

    public static final byte[] PING_PACKET

Ping packet.

### Constructor Detail

#### GridClientPingPacket

    public GridClientPingPacket()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015